@echo off

:INIT
setlocal

echo %1
IF "%~1" == "" (
    echo ERROR.
    GOTO ERROR
)

IF "%~2" == "" (
    echo ERROR.
    GOTO ERROR
)

cd "%~dp0"


set CMDPSQL=%~1
set DBUSER=%~2
set DBNAME=dnpwmldb

IF NOT EXIST .\log (
	mkdir .\log
)

:UPDATE
rem # -------------------------------------
rem # UPDATE v20r20_v20r41
rem # -------------------------------------
set LOGF=.\log\v20r20_v20r41err.log
"%CMDPSQL%" -U "%DBUSER%" -q -h localhost -p 5432 -f ".\v20r20_v20r41\update.sql" %DBNAME% 2> "%LOGF%"
IF NOT %ERRORLEVEL% == 0 (
	echo ERROR.
	GOTO ERROR
)
findstr /I /R "." "%LOGF%"
IF %ERRORLEVEL% == 0 (
	echo ERROR.
	GOTO ERROR
)

:EXIT
endlocal
exit 0

:ERROR
endlocal
exit 1