SET CLIENT_ENCODING TO 'UTF-8';

-- 管理ツール --
-- Mobile版へのログイン端末設定 --
ALTER TABLE tm_office ADD COLUMN mobloginlimit CHAR(1);
COMMENT ON COLUMN tm_office.mobloginlimit is 'Mobile版へのログイン端末設定';

-- モバイルID登録用URL --
ALTER TABLE tm_office ADD COLUMN midseturl VARCHAR(255);
COMMENT ON COLUMN tm_office.midseturl is 'モバイルID登録用URL';

-- メールダウンロード機能 --
ALTER TABLE tm_wml_setting ADD COLUMN maildl CHAR(1);
COMMENT ON COLUMN tm_wml_setting.maildl is 'メールダウンロード機能';
-- メールダウンロードの制限：メールの総サイズ --
ALTER TABLE tm_wml_setting ADD COLUMN maildllimitsize NUMERIC(4);
COMMENT ON COLUMN tm_wml_setting.maildllimitsize is 'メールダウンロードの制限：メールの総サイズ';
-- メールダウンロードの制限：メールの総数 --
ALTER TABLE tm_wml_setting ADD COLUMN maildllimitnum NUMERIC(4);
COMMENT ON COLUMN tm_wml_setting.maildllimitnum is 'メールダウンロードの制限：メールの総数';


-- 初期データ入力 --
UPDATE tm_office set mobloginlimit='0';
UPDATE tm_wml_setting set maildl='0', maildllimitsize=100, maildllimitnum=100;
