#!/bin/sh

cd `dirname $0`

DBUSER=dnpwml
DBNAME=dnpwmldb
DBSERVER=127.0.0.1

if [ ! -d log ]; then
    mkdir log
fi ;

SQLF=./_update.sql
LOGF=./log/error.log

# ----------------------------------------
# create update.sql
# ----------------------------------------

echo "" > ${SQLF}
cat ./v20r20_v20r41/update.sql >> ${SQLF}

# ----------------------------------------
# execute update.sql
# ----------------------------------------

psql -U ${DBUSER} -h ${DBSERVER} -q -f ${SQLF} ${DBNAME} > $LOGF 2>&1
if [ `cat $LOGF | wc -l` -ne 0 ]; then
    cat $LOGF
    echo "ERROR."
    exit 1
fi

exit 0;

